Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 178073002: Raise StackOverflow during bootstrapping (Closed)

Created:
5 years, 9 months ago by alexis
Modified:
5 years, 8 months ago
Reviewers:
Jarin
CC:
v8-dev
Base URL:
git://github.com/v8/v8.git@master
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 2

Patch Set 2 : Raise StackOverflow during bootstrapping, take 2 #

Patch Set 3 : Raise StackOverflow during bootstrapping #

Patch Set 4 : Raise StackOverflow during bootstrapping #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+75 lines, -6 lines) Patch
M src/bootstrapper.cc View 1 2 2 chunks +9 lines, -6 lines 0 comments Download
M src/isolate.h View 1 chunk +5 lines, -0 lines 0 comments Download
M test/cctest/test-api.cc View 1 2 3 1 chunk +61 lines, -0 lines 1 comment Download

Messages

Total messages: 18 (0 generated)
alexis
5 years, 9 months ago (2014-02-24 16:30:56 UTC) #1
alexis
5 years, 9 months ago (2014-02-25 18:17:52 UTC) #2
Jarin
Thanks for the effort to fix this. I think we will need this covered by ...
5 years, 9 months ago (2014-02-25 20:45:07 UTC) #3
alexis
Thanks Jarin. > Thanks for the effort to fix this. I think we will need ...
5 years, 9 months ago (2014-03-05 23:07:23 UTC) #4
Jarin
lgtm
5 years, 9 months ago (2014-03-13 13:40:46 UTC) #5
Jarin
Hmm, let me take this back - the overflow check fails on our test suite ...
5 years, 9 months ago (2014-03-13 15:26:01 UTC) #6
alexis
On which platform do these tests fail?
5 years, 9 months ago (2014-03-13 19:25:50 UTC) #7
Jarin
On 2014/03/13 19:25:50, alexis wrote: > On which platform do these tests fail? Looking more ...
5 years, 9 months ago (2014-03-14 07:30:02 UTC) #8
alexis
> x64 optdebug and release fail on test test/mjsunit/regress/regress-1132.js A tweak in the reserve size ...
5 years, 9 months ago (2014-03-14 17:46:15 UTC) #9
Jarin
On 2014/03/14 17:46:15, alexis wrote: > > x64 optdebug and release fail on test test/mjsunit/regress/regress-1132.js ...
5 years, 9 months ago (2014-03-15 18:20:33 UTC) #10
alexis
Both issues should be fixed now. Checking the exception string on the top call was ...
5 years, 9 months ago (2014-03-17 18:05:25 UTC) #11
alexis
Both issues should be fixed now. Checking the exception string on the top call was ...
5 years, 9 months ago (2014-03-17 18:05:27 UTC) #12
alexis
Bump. Looking forward to your feedback... thanks!
5 years, 8 months ago (2014-03-25 12:18:39 UTC) #13
Jarin
Looks good, thanks. https://codereview.chromium.org/178073002/diff/100001/test/cctest/test-api.cc File test/cctest/test-api.cc (right): https://codereview.chromium.org/178073002/diff/100001/test/cctest/test-api.cc#newcode4989 test/cctest/test-api.cc:4989: void APIStackOverflowNestedContextsHelper(bool is_bottom_call); In v8, bools ...
5 years, 8 months ago (2014-03-25 15:28:33 UTC) #14
alexis
Great, thanks! Let me know if you need anything else from me...
5 years, 8 months ago (2014-03-27 14:11:59 UTC) #15
Jarin
Committed patchset #4 manually as r20335 (presubmit successful).
5 years, 8 months ago (2014-03-28 13:26:39 UTC) #16
alexis
Thanks! We would like to include this fix in node.js v0.12, so we were wondering ...
5 years, 8 months ago (2014-03-28 14:45:04 UTC) #17
Jarin
5 years, 8 months ago (2014-03-28 14:51:16 UTC) #18
Message was sent while issue was closed.
On 2014/03/28 14:45:04, alexis wrote:
> Thanks! We would like to include this fix in node.js v0.12, so we were
wondering
> if you could backport it to 3.24.

Unfortunately, the test crashes when running without snapshot (--nosnapshot), so
we had to revert the change.

Powered by Google App Engine
This is Rietveld 408576698